---
updatedAt: 2026-06-02T01:29:01.000Z
agentTools:
  projectIndex: https://docs.api.cultureamp.com/llms.txt
---

# List surveys

Returns a list of all surveys in the account

> 🛑 Deprecated API - No Longer Available
>
> This API is no longer available to setup. Please use the [Reporting API](https://support.cultureamp.com/en/articles/9232738-reporting-api) for access to RDE enabled Survey data which is available now.


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Culture Amp Public API",
    "description": "This Open API specification describes the interface for the Culture Amp public API service",
    "contact": {
      "name": "Culture Amp Support",
      "email": "support@cultureamp.com"
    },
    "license": {
      "name": "CultureAmp"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://api.cultureamp.com/v1",
      "description": "Production"
    },
    {
      "url": "https://sandbox.public-api.development.cultureamp.net/v1",
      "description": "Development"
    }
  ],
  "tags": [
    {
      "name": "Surveys"
    }
  ],
  "paths": {
    "/surveys": {
      "get": {
        "tags": [
          "Surveys"
        ],
        "summary": "List surveys",
        "deprecated": true,
        "description": "Returns a list of all surveys in the account\n\n> 🛑 Deprecated API - No Longer Available\n>\n> This API is no longer available to setup. Please use the [Reporting API](https://support.cultureamp.com/en/articles/9232738-reporting-api) for access to RDE enabled Survey data which is available now.\n",
        "operationId": "list-surveys",
        "parameters": [
          {
            "$ref": "#/components/parameters/CursorQueryParam"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SurveysResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        },
        "security": [
          {
            "Oauth2": [
              "surveys-read"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "CursorQueryParam": {
        "name": "cursor",
        "in": "query",
        "description": "The pagination key to use for the next page of results. \n\nThe last successful call will include this in the response body in `pagination.afterKey`.\n\nNote:\n* Pagination also works using the `after_key` query parameter. However, if both `cursor` and `after_key` are \nprovided, `cursor` will take precedence.",
        "schema": {
          "type": "string"
        },
        "example": "ewogICJQSyI6ICJzZGZzZGZzZGYtc2Rmc2Rmc2Qtc2Rmc2RmIiwKICAiU0siOiAic2Rmc2Rmc2RzZGYtc2RmYXNhc2ZzLS1zZGZzZGYiCn0J"
      }
    },
    "schemas": {
      "SurveysResponse": {
        "title": "SurveysResponse",
        "type": "object",
        "description": "container object for multiple Surveys",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Survey"
            }
          },
          "pagination": {
            "$ref": "#/components/schemas/PaginationV2"
          }
        },
        "required": [
          "data"
        ]
      },
      "Survey": {
        "title": "Survey",
        "type": "object",
        "description": "The Survey record",
        "properties": {
          "id": {
            "type": "string",
            "description": "the identifier used by Culture Amp to identify the Survey"
          },
          "name": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "description": "The locale informed name of the Survey",
            "example": {
              "en": "Hello!",
              "fr": "Bonjour!"
            }
          },
          "status": {
            "type": "string",
            "description": "The status of the survey.\nSurveys that are still being drafted are not surfaced in the API.\nFor more information about draft surveys, please refer to the following support guide: https://support.cultureamp.com/en/articles/7048518-surveys-and-programs-page#h_71149c7700\n"
          },
          "rdeEnabled": {
            "type": "boolean",
            "description": "A boolean describing the RDE Enabled status of the survey"
          },
          "owner": {
            "type": "string",
            "description": "The Culture Amp ID identifying the user who owns the Survey"
          },
          "workflow": {
            "type": "string",
            "description": "The workflow of the survey"
          },
          "launchedAt": {
            "type": "string",
            "description": "The date the Survey was launched",
            "format": "date-time",
            "nullable": true
          },
          "closedAt": {
            "type": "string",
            "description": "The date the Survey was closed",
            "format": "date-time",
            "nullable": true
          },
          "createdAt": {
            "type": "string",
            "description": "The date the Survey was created",
            "format": "date-time"
          },
          "updatedAt": {
            "type": "string",
            "description": "The date the Survey was last updated",
            "format": "date-time"
          },
          "processedAt": {
            "type": "string",
            "description": "The date the survey was last processed by the public API. This can be used by consumers to determine if the survey has been updated since the last time it was retrieved.",
            "format": "date-time"
          },
          "communicatedClosedAt": {
            "type": "string",
            "description": "The timestamp when the closure of the survey was communicated.",
            "format": "date-time",
            "nullable": true
          },
          "surveyDueDays": {
            "type": "integer",
            "description": "How many days from survey launch that the survey is due."
          },
          "kioskModeEnabled": {
            "type": "boolean",
            "description": "Indicates whether the survey is being run in kiosk mode."
          },
          "excludeParticipantsAfter": {
            "type": "string",
            "description": "The date at which this survey will no longer include participants.",
            "format": "date-time",
            "nullable": true
          }
        },
        "required": [
          "id",
          "processedAt",
          "rdeEnabled"
        ]
      },
      "Error": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "integer",
            "description": "the HTTP status code of the error",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "a description of the error"
          }
        },
        "description": "an object describing an API error"
      },
      "PaginationV2": {
        "title": "Pagination",
        "type": "object",
        "example": {
          "nextPath": "/<path>?cursor=ewogICJQSyI6ICJzZGZzZGZzZGYtc2Rmc2Rmc2Qtc2Rmc2RmIiwKICAiU0siOiAic2Rmc2Rmc2RzZGYtc2RmYXNhc2ZzLS1zZGZzZGYiCn0J"
        },
        "properties": {
          "nextPath": {
            "type": "string",
            "description": "the relative url for the next page of data"
          }
        }
      }
    },
    "responses": {
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InternalServerError": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "BadRequest": {
        "description": "The request path parameters, query parameters or headers are not valid",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "Service Unavailable - endpoint rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Too Many Requests - client rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/oauth2/token",
            "scopes": {
              "employees-read": "Grants read access to employees resources",
              "employee-demographics-read": "Grants access to employee demographics",
              "performance-evaluations-read": "Grants access to employee performance evaluations"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```